\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.3 - 2D Range and Neighbor Search

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
Nearest Neighbor Search
2D Range and Neighbor Search Reference

##

## Functions
Dt::Vertex_handle | CGAL::nearest_neighbor (const Dt &delau, Dt::Vertex_handle v)
| computes a handle to a vertex `w` of `delau` that is closest to `v`. More...
OutputIterator | CGAL::nearest_neighbors (Dt &delau, const Dt::Point &p, Dt::size_type k, OutputIterator res)
| computes the `k` nearest neighbors of `p` in `delau`, and places the handles to the corresponding vertices as a sequence of objects of type Vertex_handle in a container of value type of `res` which points to the first object in the sequence. More...
OutputIterator | CGAL::nearest_neighbors (Dt &delau, Dt::Vertex_handle v, Dt::size_type k, OutputIterator res)
| computes the `k` nearest neighbors of `v` (including `v`) in `delau`, and places them as a sequence of objects of type Vertex_handle in a container of value type of `res` which points to the first object in the sequence. More...